using System;
using System.Xml;
using System.Threading;
using System.Collections;
using MediaCenter.DigitalHome.parser;
using Microsoft.MediaCenter.AddIn;

namespace MediaCenter.DigitalHome
{
	/// <summary>
	/// The main class controlling the client
	/// </summary>
	public class DigitalHomeClient
	{
		private string clientVersion = "3.0";

		private XMLConnection xmlCon;
		private ParseManager parseMan;
		private FileTransferManager ftMan;
		private string userName;
		private TestKlient gui;

		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="gui">The gui</param>
		public DigitalHomeClient(TestKlient gui)
		{
			this.gui = gui;
			
			xmlCon = new XMLConnection(this);
			ftMan = new FileTransferManager(this, xmlCon);
			parseMan = new ParseManager(this);
				
			Thread t1 = new Thread(new ThreadStart(xmlCon.run));
			t1.Start();

			/* Send an auth message to the server*/
			//TODO: ikke harkodet brukernavn og passord
			xmlCon.sendAuthMessage("oyvind", "");	
		}
		

		/// <summary>
		/// Passes an XmlDocument to the parse manager
		/// </summary>
		/// <param name="doc">The XmlDocument to be parsed</param>
		public void receiveXMLDoc(XmlDocument doc)
		{
			parseMan.distributeXMLDoc(doc);	
		}
		
		public string getClientVersion()
		{
			return clientVersion;
		}


		/// <summary>
		/// Gets the XmlConnection
		/// </summary>
		/// <returns>The XmlConnection</returns>
		public XMLConnection getXmlConnection()
		{
			return xmlCon;
		}
		
		/// <summary>
		/// Gets the DownloadManager
		/// </summary>
		/// <returns>The Download Manager</returns>
		public FileTransferManager getFileTransferManager()
		{
			return ftMan;
		}

		public void displayPopUp(string title, string message)
		{
			gui.log(title + ": " + message);
		}

		/// <summary>
		/// Prints messages from around the code
		/// </summary>
		/// <param name="text">The text to be printed</param>
		public void log(string text)
		{
			gui.log(text);
		}
	}
}
