using System;
using System.Xml;

namespace MediaCenter.DigitalHome.parser
{
	/// <summary>
	/// Parser for ServerSystemResponse messages.
	/// </summary>
	public class ServerSystemResponseParser : XMLServiceParser
	{		
		/// <summary>
		/// Constructor
		/// </summary>
		/// <param name="client">The client this parser belongs to</param>
		public ServerSystemResponseParser(DigitalHomeClient client) : base(XMLVariables.SERVER_SYSTEM_RESPONSE, client)
		{
		}
		
		/// <summary>
		/// Override method.
		/// Receives an XmlElement, parses it and performs the appropriate actions
		/// </summary>
		/// <param name="root">The root element of the received message</param>
		public override void receiveXML(XmlElement root) 
		{
			client.log("sjekker om oppkoblingen ble autentisert");
			string auth = root.GetAttribute(XMLVariables.SERVER_SYSTEM_AUTH_RESPONSE);
			
			if ("true".Equals(auth))	
			{
				client.getXmlConnection().setAuthed(true);	
				client.log("Oppkoblingen er autentisert");
			}
			else if ("false".Equals(auth))
			{
				client.displayPopUp("Melding fra tjenesteleverandr", "Klarte ikke  autentisere oppkoblingen. Start ditt Media Center p nytt for  prve igjen");
			}
		}
	}
}
