using System;

namespace MediaCenter.DigitalHome
{
	/// <summary>
	/// Defines standard XML variables. These are used when building and parsing 
	/// XML documents
	/// </summary>
	public abstract class XMLVariables
	{
		/* Authenticate connection message*/
		public static readonly string AUTH_ROOT = "authMessage";
		public static readonly string AUTH_USERNAME = "username";
		public static readonly string AUTH_PASSWORD = "password";
		public static readonly string AUTH_VERSION = "version";

		/* Message from background service */
		public static readonly string SERVICE_ROOT = "serviceMessage";
		public static readonly string SERVICE_ID = "serviceId";
		public static readonly string SERVICE_BODY = "serviceBody";
		public static readonly string SERVICE_USER = "user";
	
		/* Status message from the server to a client */
		public static readonly string SERVER_SYSTEM_RESPONSE = "serverSystemResponse";
		public static readonly string SERVER_SYSTEM_AUTH_RESPONSE = "authenticated";

		/* Variables describing the file transfer message protocol */
		public static readonly string FILE_DOWNLOAD_ID = "FileDownload";
		public static readonly string FILE_UPLOAD_ID = "FileUpload";
		public static readonly string FILE_NAME = "fileName";
		public static readonly string FILE_TYPE = "fileType";
		public static readonly string FILE_PATH = "filePath";
		
		/* Status messages */
		public static readonly string STATUS = "status";
		public static readonly string STATUS_FILEINFO_OK = "fileInfoOk";
		public static readonly string STATUS_FILE_OK = "fileOk";
		public static readonly string STATUS_FILE_FAILED = "fileFailed";
		public static readonly string STATUS_CLOSE = "close";
		public static readonly string STATUS_NO_FILE = "noFile";

		/* Schedule TV recording */
		public static readonly string SCHEDULE_RECORDING_ID = "ScheduleRecording";
		public static readonly string SCHEDULE_RECORDING_SERVICE = "service";
		public static readonly string SCHEDULE_RECORDING_PROGRAM = "program";
		public static readonly string SCHEDULE_RECORDING_RECURRING = "isRecurring";	
	}
}
