using System;
using System.Xml;
using Microsoft.Windows.MediaCenter;
using System.IO;

namespace MediaCenter.DigitalHome.service
{
	/// <summary>
	/// Summary description for ScheduleTvRecording.
	/// </summary>
	public class ScheduleTvRecording
	{
		private DigitalHomeClient client;

		public ScheduleTvRecording(DigitalHomeClient client)
		{
			this.client = client;
		}

		public void addRecording(string service, string program, string reccuring)
		{
			try 
			{
				string xml =
					"<?xml version=\"1.0\" encoding=\"utf-8\" ?> " +
					"<clickToRecord xmlns=\"urn:schemas-microsoft-com:ehome:clicktorecord\">" +
					" <body>" +
					"  <metadata><description>Scheduled with DigitalHome Sceduler</description></metadata>" +
					"  <programRecord prepadding=\"0\" postpadding=\"0\" isRecurring=\"" + reccuring + "\">" +
					"   <program>" +
					"    <key field=\"urn:schemas-microsoft-com:ehome:epg:program#title\" match=\"exact\">"+ program +"</key>" +
					"   </program>" +
					"	<service>" +
					"	 <key field=\"urn:schemas-microsoft-com:ehome:epg:service#callsign\" match=\"exact\">"+ service +"</key>" +
					"	</service>"+
					"  </programRecord>" +
					" </body>" +
					"</clickToRecord>";

				byte[] byteArr;
				System.IO.Stream sr;

				System.Text.UTF8Encoding encoding = new System.Text.UTF8Encoding();

				byteArr = encoding.GetBytes(xml);

				Microsoft.Windows.MediaCenter.ProgramDetails [] details;

				sr = new System.IO.MemoryStream(byteArr);

				ClickToRecord.Submit(sr,
					Microsoft.Windows.MediaCenter.ClickToRecord.ConflictResolutionPolicy.AllowConflict,
					out details);		
			}
			catch (Exception e)
			{
				client.displayPopUp("ScheduleError", e.ToString());
			}
		}
	}
}
