package digital_home;

import java.io.*;

/**
 * Date: Nov 22, 2001
 * @author Jon Heggland
 *
 * InputStream-wrapper som gjr det mulig  lese inn XML-dokumenter med Apaches
 * SAX-parser Xerces over en Socket. SAX-parsere har det med  kalle close() p
 * en InputStream nr de har lest ferdig et dokument, s jeg overlagrer close()
 * slik at forbindelsen holdes pen. Jeg har ogs overlagret read()-metodene, slik
 * at den returnerer -1 nr den leser en EOF (byte-verdi 4), slik at parserkoden
 * vil returnere uten at man m lukke socketen (vanligvis vil ikke en Socket-
 * InputStream noensinne returnere -1, og parserne vil dermed henge). For at dette
 * skal funke, m de som skriver XML-dokumenter til en Socket huske p  skrive en
 * EOFInputStream.EOF til slutt, etter at de har skrevet dokumentet.
 */
public class EOFInputStream extends PushbackInputStream
{
  public static final int EOF = 4;

  public EOFInputStream(InputStream in)
  {
    super(in);
  }

  public int read() throws IOException
  {
    int i = super.read();
    return (i != EOF ? i : -1);
  }

  public int read(byte[] b, int off, int len) throws IOException
  {
    for (int i = 0; i < len; i++) {
      int read = read();

      if (read == -1) {
        if (i > 0) {
          unread(EOF);
          return i;
        } else return -1;
      }

      b[off + i] = (byte)read;
    }
    return len;
  }

  public void close() throws IOException
  {}
}



