package digital_home;

/**
 * Class made to make classes calling RMI methods to wait for
 * response from client.
 * 
 * @author Andreas W. Bjerkhaug
 * @author ystein Ellingb.
 */
public class UploadWaitController {

	/**
	 * Sets whether or not this controller is waiting for a response.
	 * 
	 * @param isWaiting true if waiting, false if done waiting.
	 */
	public synchronized void setWaiting(boolean isWaiting) {
		
		if (isWaiting) {
			try {
				wait();
			} catch (InterruptedException e) {
			}
		} else {
			notify();
		}
		
	}
	
}
