package digital_home;

/**
 * Collection of static final variables used in XML documents
 * 
 * @author Andreas W. Bjerkhaug
 * @author ystein Ellingb
 */
public abstract class XMLVariables {
	
	/* Authenticate connection message*/
	public static final String AUTH_ROOT = "authMessage";
	public static final String AUTH_USERNAME = "username";
	public static final String AUTH_VERSION = "version";
	
	/* Message from background service */
	public static final String SERVICE_ROOT = "serviceMessage";
	public static final String SERVICE_ID = "serviceId";
	public static final String SERVICE_BODY = "serviceBody";
	public static final String SERVICE_USER = "user";
	public static final String SERVICE_CALLER = "caller";
	
	/* Status message from the server to a client */
	public static final String SERVER_SYSTEM_RESPONSE = "serverSystemResponse";
	public static final String SERVER_SYSTEM_AUTH_RESPONSE = "authenticated";
	public static final String SERVER_SYSTEM_MCE_CONNECTED = "MCEConnected";
	
	/* Variables describing the file transfer message protocol */
	public static final String FILE_DOWNLOAD_ID = "FileDownload";
	public static final String FILE_UPLOAD_ID = "FileUpload";
	public static final String FILE_NAME = "fileName";
	public static final String FILE_TYPE = "fileType";
	public static final String FILE_PATH = "filePath";
	
	/* Status messages for file transfer */
	public static final String STATUS = "status";
	public static final String STATUS_FILEINFO_OK = "fileInfoOk";
	public static final String STATUS_FILE_OK = "fileOk";
	public static final String STATUS_FILE_FAILED = "fileFailed";
	public static final String STATUS_NO_FILE = "noFile";
	public static final String STATUS_CLOSE = "close";
	public static final String STATUS_UPDATE = "update";
	public static final String STATUS_ERROR = "error";
	public static final String STATUS_RMI = "RMI";
	
	/* RMI messages */
	public static final String RMI_ROOT = "RMIMessage";
	public static final String RMI_BODY = "RMIBody";
	public static final String RMI_STATUS = "RMIStatus";
	public static final String RMI_STATUS_SUCCESS = "success";
	public static final String RMI_STATUS_FAILED = "failed";
	public static final String RMI_STATUS_QUEUED = "queued";
	
	/* Schedule recording message */
	public static final String SCHEDULE_RECORDING_ID = "ScheduleRecording";
	public static final String SCHEDULE_RECORDING_RECORDING = "recording";
	public static final String SCHEDULE_RECORDING_SERVICE = "service";
	public static final String SCHEDULE_RECORDING_PROGRAM = "program";
	public static final String SCHEDULE_RECORDING_RECURRING = "isRecurring";	
}
