package digital_home.db;

/**
 * Class representing a user service.
 * 
 * Note: This class is only a placeholder class for classes containing
 * database connections to the real service provider's database.
 * 
 * @author Andreas W. Bjerkhaug
 * @author ystein Ellingb
 */
public class Service {
	private String buttonID;
	private String name;
	private String url;
	
	/**
	 * Creates a new service.
	 * 
	 * @param buttonID the unique id of the service.
	 * @param name the name of the service.
	 * @param url the URL to the service jsp file.
	 */
	public Service(String buttonID, String name, String url) {
		this.buttonID = buttonID;
		this.name = name;
		this.url = url;
	}
	
	/**
	 * Returns the id of the service.
	 * 
	 * @return the id of the service.
	 */
	public String getButtonID() {
		return buttonID;
	}
	
	/**
	 * Returns the name of the service.
	 * 
	 * @return the name of the service.
	 */
	public String getName() {
		return name;
	}
	
	/**
	 * Returns the URL of the service.
	 * 
	 * @return the URL of the service.
	 */
	public String getUrl() {
		return url;
	}
	
	
}
